#include <iostream>
#include <cmath>

using namespace std;

int main()
{
        ios_base::sync_with_stdio(false);
        cin.tie(NULL);
        int n, m;

        cin>> n;
        cin>> m;

        int t [n];

        for (int i = 0; i < n; i++) {
            cin>> t[i];
        }
        int res =0;
        int a, b;
        for (int i = 0; i < m; i++) {
            cin>> a;
            cin>> b;
            res += t[a-1];
            res += t[b-1];
        }
        cout<< abs(res);


    return 0;
}